aboutsummaryrefslogtreecommitdiffstats
path: root/x11
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-06-29 20:12:50 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-06-29 20:12:50 +0000
commit97a0b16145c68016625ed15c7326e8bb7a3d27cf (patch)
treec22dc744db01e82636e67b99d596ef1b82b3da8a /x11
parentc19bb81b58ddf1d790e6c8021a1d68ac7e729184 (diff)
downloadaports-97a0b16145c68016625ed15c7326e8bb7a3d27cf.tar.gz
aports-97a0b16145c68016625ed15c7326e8bb7a3d27cf.tar.bz2
aports-97a0b16145c68016625ed15c7326e8bb7a3d27cf.tar.xz
x11/liboil: new aport
Library of simple functions that are optimized for various CPUs. http://liboil.freedesktop.org/
Diffstat (limited to 'x11')
-rw-r--r--x11/liboil/APKBUILD22
1 files changed, 22 insertions, 0 deletions
diff --git a/x11/liboil/APKBUILD b/x11/liboil/APKBUILD
new file mode 100644
index 0000000000..d388ca491f
--- /dev/null
+++ b/x11/liboil/APKBUILD
@@ -0,0 +1,22 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=liboil
+pkgver=0.3.16
+pkgrel=0
+pkgdesc="Library of simple functions that are optimized for various CPUs."
+url="http://liboil.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+source="http://$pkgname.freedesktop.org/download/$pkgname-$pkgver.tar.gz"
+
+build ()
+{
+ unset CFLAGS
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make -j1 DESTDIR="$pkgdir" install || return 1
+ install -m755 -d "$pkgdir"/usr/share/licenses/liboil
+ install -m644 COPYING "$pkgdir"/usr/share/licenses/liboil/ || return 1
+}
+md5sums="febb1d9f9bc4c440fcf622dc90f8b6b7 liboil-0.3.16.tar.gz"